
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hibernate 的transaction和 session问题 / iVAN</title>

    <meta name="description" content="hibernate 的transaction和 session问题 问题描述 用的SSH框架,事务切到service层, 在service取出一个用户列表,在action中循环此列表修改每个用户的角色id属性为角色名称后 , 数据库就变了呀 !! 在网上搜索了好久 说session关闭的时候会吧持久对象更新到数据库中, 但是自己做了一个例子Transaction tx = session.beginTransaction();Query query = session.createQuery(&quot;from Test01&quot;);query.setF ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">hibernate 的transaction和 session问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>用的SSH框架，事务切到service层， 在service取出一个用户列表,在action中循环此列表修改每个用户的角色id属性为角色名称后 ， 数据库就变了呀 !! 在网上搜索了好久 说session关闭的时候会吧持久对象更新到数据库中， 但是自己做了一个例子Transaction tx = session.beginTransaction();Query query = session.createQuery("from Test01");query.setFirstResult(begin);query.setMaxResults(count);List&lt;Test01&gt; l =  (List&lt;Test01&gt;)query.list();for(Test01 u : l){u.setPwd("1");}tx.commit();for(Test01 u : l){System.out.println(u);u.setPwd("22222");session.update(u);}session.flush();session.close(); 修改后数据库中 pwd却是"1" 不是"22222" 为什么？<br />
<h2>解决方案</h2>
<p>tx.commit();执行后，List&lt;Test01&gt; l = (List&lt;Test01&gt;)query.list(); 实体集就成了离游态了。原先是持久态的。session.flush(),只能持久态的实体起作用。<br />解决方案二：<br />嘻嘻 看到我原来的影子了 提交之后再修改 修改不提交事务<br />解决方案三：<br />倒数第二行前线commit下就行了 别着急，休息，休息一会<br />解决方案四：<br />你最后的这个更新，明显没有提交事务，你在倒数第二行前，加一行tx.commit();数据库里面就肯定是22222了，老兄以后看代码仔细点！<br />解决方案五：<br />你上面的代码逻辑是没有问题的，因为你是手动开启的事物然后你更新PWD=1然后提交事物，如果你打断点观察 当你commit的时候hibernate会发出SQL语句同时提交事物，现在数据库里的值就是1了 然后你有更新了pwd=222 这里数据库是不会变的 因为hibernate的save,update,delete是需要事物的,你更新pwd=222跟们没在事物中进行，所以会发出SQL 但是没提交事物 所里当执行完毕后 数据库当中不会发生变化.也就是说 你setPwd=222 hibernate做了更新 但是没包含在事物当中 所以数据库不会变至于你说用SSH会改变 如果你事物放在Service 按理说在action当中修改不会影响到数据库了，可能是你事物配置的不对，看不见你代码 就不好下结论了<br />解决方案六：<br />你写的这个例子虽然实现了更改，但是并没有提交事务，所以是不会持久化到数据库中的<br />解决方案七：<br />你这个更新后的事物没有提交，所以还是1</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 09:59:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/hibernate/" title="Hibernate">Hibernate</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>hibernate 的transaction和 session问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQdWnz.html" rel="bookmark">spring-Spring&plus;Hibernate框架怎么创建session和事务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Spring+Hibernate框架怎么创建session和事务 我现在用的是声明式事务管理,控制在service层,现在在service时的一个实现类中的方法里面开启了一个新的线程new Thread,在里面需要session,怎么在这个新的线程里面开启session? 解决方案 sessionfactory 解决方案二: 怎么用啊,有没有代码啊? 解决方案三: Spring对Hibernate的事务支持 解决方案四: 题主可以 Spring+Hibernate的资料 http://			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqrByYp.html" rel="bookmark">简介Java的Hibernate框架中的Session和持久化类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SessionSession对象用于获取与数据库的物理连接. Session对象是重量轻,设计了一个互动是需要与数据库每次被实例化.持久化对象被保存,并通过一个Session对象中检索. 会话中的对象不应该保持开放很长一段时间,因为他们通常不被线程安全的,他们应该被创建并根据需要摧毁他们.这次会议的主要功能是提供创建,读取和删除操作映射的实体类的实例.实例中可能存在以下三种状态之一在给定时间点: 短暂性: 持久化类的未与会话相关联,并在数据库中没有代表性,没有标识值的新实例被Hibernate认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Zd0dp.html" rel="bookmark">求大神解答 hibernate Multi-tenancy多租户connection空指针？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神解答 hibernate Multi-tenancy多租户connection空指针? hibernate Multi-tenancy多租户为什么connection总是空指针? 运行错误详情 Exception in thread &quot;main&quot; java.lang.NullPointerException at org.hibernate.c3p0.internal.C3P0ConnectionProvider.getConnection(C3P0Connection			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PBDvp.html" rel="bookmark">controller中获得hibernate的session方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 controller中获得hibernate的session方法 环境:Spring+Hibernate事务由org.springframework.orm.hibernate4.HibernateTransactionManager管理需求是这样的,带有@Transactional注解的Service类中有两个方法:1. check()----用来验证数据2. insert()----用来插入数据我想在controller方法中显式声明一个事物并把check()和insert()放入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBxx8M.html" rel="bookmark">hibernate系列（五）Session接口方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Session接口方法主要有save.persist.load.get.update.saveOrUpdat.merge.delete等,这里主要是对我看hibernate书籍的一个实践加总结.  首先是save()方法:  以之前的Customer和Order为例,看下类文件:  ? 1 2 3 4 5 6 7 8 9 public class Customer {       private Long id;     private String name;     private Stri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JPvgz.html" rel="bookmark">Hibernate Session和Jpa EntityManager</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要比较一下二者操作实体类的方法的关系和区别. 本文适用 Hibernate:4.3.11.Final 和 spring-data-jpa:1.10.4.RELEASE . 创建方式 Session: Configuration configuration=new Configuration().configuration(); ServiceRegistry serviceRegistry=new ServiceRegistryBuilder().applySettings(configu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1L6rb.html" rel="bookmark">java Hibernate框架Session的保存、更新、删除和查询教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				session的save方法 使一个临时对象变为持久化对象.session的save方法完成以下操作:1.把customer对象加入到缓存中,使他变为持久化对象2.选用映射文件指定的标识符生成器为持久化对象分配唯一的OID.Customer.hbm.xml文件中id元素的子元素指定标识符生成器: &lt;generator&gt;&lt;id name=&quot;id&quot; column=&quot;ID&quot; &gt;    &lt;generator class=&quot;increm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJVXLM.html" rel="bookmark">Hibernate的session中的flush</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  什么是Hibernate Session刷出(flush)?也许大家对此不够了解,但相信你看完本文一定有很大的收益. 每间隔一段时间,Session会执行一些必需的SQL语句来把内存中的对象的状态同步到JDBC连接中.这个过程被称为Hibernate Session刷出(flush).   默认会在下面的时间点执行:   ◆在某些查询执行之前 ◆在调用org.hibernate.Transaction.commit()的时候 ◆在调用Session.flush()的时候 ◆涉及的SQL语句会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOkG0mz.html" rel="bookmark">hibernate session 及时更新问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 第一次提问,希望有人能帮忙解答.有一个B/S系统用hibernate做.有一个session A只做查询操作,另一个session B做插入操作.如果我先在session A中查询一系统对象.为了下次查询速度更快,我不做session A的清理.然后session B中新增几条记录,那么session A中如果查询出由session B新增的几条记录呢? 解决方案 Hibernate中的缓存分两种:一级缓存(Session级别)和二级缓存(SessionFactory级别) 这里说一下			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJwDbx.html" rel="bookmark" class="title">诺基亚设计主管谈交互、设计、产品</a>
					<div>
						Marko Ahtisaari 是诺基亚的设计主管,去年 N9 的惊艳设计让他逐渐进入公众视线 近日他接受了 The Guardian 的采访,谈了很多,关于手机交互,关于产品,关于微软,关于下一款手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3NJJz.html" rel="bookmark" class="title">div布局，上中下结构，怎么让高度固定的div始终在高度自适应的div下面</a>
					<div>
						问题描述 div布局,上中下结构,怎么让高度固定的div始终在高度自适应的div下面 我做了一个页面布局为上中下,上面和下面的高度都是固定的,中间的高度是自适应的,下面那个div要怎么设置才能紧挨着中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQWxop.html" rel="bookmark" class="title">Java中static、this、super、final用法</a>
					<div>
						一.static  请先看下面这段程序:   public class Hello{     public static void main(String[] args){ //(1)       S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB9QAz.html" rel="bookmark" class="title">SEO最终战略失败的原因</a>
					<div>
						seo|战略  在如今的站长之中想必有很多都会SEO,不管是或多或少吧,总之一做站就先想到的是如何优化这个网站,就是因为这些原因最后才导致了网站被拔,失去用户.        作为研究SEO的站长来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP9lDz.html" rel="bookmark" class="title">ASP开发中存储过程应用全接触</a>
					<div>
						存储过程     ASP与存储过程(Stored Procedures)的文章不少,但是我怀疑作者们是否真正实践过.我在初学时查阅过大量相关资料,发现其中提供的很多方法实际操作起来并不是那么回事.对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk3m7p.html" rel="bookmark" class="title">使用基于Informix Dynamic Server的Server Studio JE</a>
					<div>
						简介 Server Studio JE Server Studio JE (SSJE)是IBM Informix Dynamic Server (IDS)的独立的.基于Java的集成开发环境.Serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2wnrM.html" rel="bookmark" class="title">网络管理工作自动化的10个建议</a>
					<div>
						新一代网管工具所提供的解决方案能把过去人工.繁杂的网络管理工作变成自动化,并且具有主动性和增值功能.它有助于提高网络管理员的地位,使其成为策略管理员,同时又减少了网络管理的成本和复杂性.3Com公司提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOmNkM.html" rel="bookmark" class="title">什么是rj45</a>
					<div>
						RJ45的定义和标准的有关规定. RJ45是一个常用名称,指的是由IEC (60)603-7标准化, 使用由国际性的接插件标准定义的8个位置(8针)的模块化插孔或者插头.IEC (60)603-7也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk20KoM.html" rel="bookmark" class="title">一步一步SharePoint 2007之二十六：编写一个带事件的WebPart</a>
					<div>
						摘要 前面的文章中,我们编写了一个非常简单的WebPart,它只能输出一个Hello World!的字符串. 很显然,这种WebPart根本就没有什么实际的作用.有没有办法编写比较复杂一些的,比如是带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k61dz.html" rel="bookmark" class="title">如何使用shell脚本调试时间</a>
					<div>
						公司近来服务器测试,需要经常调整系统时间,一两台还好半,稍微多点,就各种纠结了,笔者这几台都把笔者快弄疯了.老大一句话:全部调快3分钟...过会又全部调慢5分钟......然后咱们干活的,各种date ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EBkKM.html" rel="bookmark" class="title">在Photoshop里设计一个圣诞节的电子邮件通讯</a>
					<div>
						  在本教程中,我会引导你设计一个干净的节日主题的电子邮件模板过程.我们将从头开始,在Adobe Photoshop里布局.我们将使用一些基本的和中级的技术来开始此设计.让我们开始吧! 第1步 创建P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdnW6M.html" rel="bookmark" class="title">&mu;torrent怎么用&quest;</a>
					<div>
						  虽然迅雷.快车等下载工具集成了BT下载功能,但是由于某些原因,一些高清视频站比如ChinaHDTV封锁了使用迅雷下载站内资源的权限.而推荐使用μTorrent进行下载.μtorrent还有个功能就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB4yaz.html" rel="bookmark" class="title">Beyond Compare快速查找字符串位置方法</a>
					<div>
						  Beyond Compare软件是一款专业的代码比较工具,它可以快速查找代码差异,并且支持文件合并,生成报告.在使用Beyond Compare软件比较代码时,如果代码文件过于冗长,如何才能快速查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8P53b.html" rel="bookmark" class="title">Android Xutils框架使用问题及解决办法</a>
					<div>
						    刚刚写了篇博客,提了下在使用XUtils时遇到的一个问题Android Xutils框架HttpUtil Get请求缓存问题 ,既然已经提起来这个问题,那我想了下,就把之前使用Xutils时遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm62oqz.html" rel="bookmark" class="title">基于jQuery实现复选框的全选 全不选 反选功能&lowbar;jquery</a>
					<div>
						本代码是在众多的jQuery复选框功能代码中精选出来的,本人项目中使用的代码,这里分享给大家. jQuery代码: 复制代码 代码如下:         $(function(){           ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmRl8z.html" rel="bookmark" class="title">苹果胜三星震惊国产手机</a>
					<div>
						苹果近日在专利大战中战胜三星,已引发对国产品牌手机厂商的担心,因为国产品牌手机与三星一样,都是Android操作系统.不过,业内分析指出,苹果并非为Android操作系统而去起诉三星,国产品牌厂商与i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRVr5b.html" rel="bookmark" class="title">Photoshop打造梦幻的彩色光束</a>
					<div>
						效果图的制作比较综合,需要用到路径.滤镜.画笔及变形工具等.大致过程:先用钢笔勾出想要的曲线,描边路径后用风滤镜加上风吹效果.然后适当用变形工具变形处理,再加上渐变色和装饰元素即可完成效果. 最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBPn8b.html" rel="bookmark" class="title">第23章 访问者模式（Visitor Pattern）</a>
					<div>
						原文 第23章 访问者模式(Visitor Pattern) 访问者模式        导读:访问者模式是我个人认为所有行为模式中最为复杂的一种模式了,这个模式可能看一遍会看不懂,我也翻了好几个例子, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKBRKz.html" rel="bookmark" class="title">广告屏蔽软件Adblock Plus下载量近10亿</a>
					<div>
						近日广告屏蔽扩展程序AdBlock和AdBlock Plus正式入驻微软Win10 Edge浏览器,不过当前仅限于Win10预览版用户使用.现在,AdBlock Plus应用开发商德国Eyeo公司联合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRoaAb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;juju猫&rdquo;网站被端提供盗版Win7疯狂下载</a>
					<div>
						■警方昨日在发布会上展示缴获的假冒名牌手表.通讯员供图 广东重拳打击侵犯知识产权及制售假冒伪劣商品,发起3宗跨省专案集群战役 ■新快报记者 刘操 通讯员 孙祥美 张雷 昨日,广东省公安厅召开新闻发布会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq72xYz.html" rel="bookmark" class="title">爱情公寓探索交友网站新的模式</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 无论是SNS交友网站还是WEB2.0,在互联网行业都不是一个新鲜的概念,但仍然有这样一个网站把SNS交友和WEB2.0结合在一起,难得的是,2006年该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnLx6M.html" rel="bookmark" class="title">图片下载 图片缓存-android下载图片保存到本地图片大小为0KB，是什么原因？？求大神解决</a>
					<div>
						问题描述 android下载图片保存到本地图片大小为0KB,是什么原因??求大神解决 public Drawable loadImageFromUrl(String urlPath, String d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXg5lb.html" rel="bookmark" class="title">12306网站假身份证也可购票 黄牛以此抢票退票再回购</a>
					<div>
						相关新闻:12306验证码从晃动改为干扰线官方:为保护旅客12306网站假身份证也可购票 黄牛以此抢票退票再回购原标题:12306现漏洞黄牛假证囤票继春运购票首日查询等功能无法使用后,12306再现漏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnN9VM.html" rel="bookmark" class="title">jsp调用FCK出错</a>
					<div>
						问题描述 点击浏览服务器出错!2010-11-2611:11:40org.apache.catalina.core.StandardWrapperValveinvoke严重:Servlet.servi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44eZLz.html" rel="bookmark" class="title">浅谈JavaScript变量的自动转换和语句&lowbar;javascript技巧</a>
					<div>
						JS自动类型转换 var a = 1; var b = true; &quot;==&quot; 表示 可以自动类型转换,比较的是数值  &quot;===&quot; 表示可以自动类型转换,先比较数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY1QZb.html" rel="bookmark" class="title">现在最好用的cms是什么？</a>
					<div>
						问题描述 现在最好用的cms是什么? drupal,joomla,wordpress都太慢了,有没有速度快,支持php5.2,支持在线支付的cms系统?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4YZjb.html" rel="bookmark" class="title">用户体验第一 font-size放弃px选择em&lowbar;经验交流</a>
					<div>
						font-size:1.2em 阿里满满 Alimanman (可以调整) font-size:12px 阿里满满 Alimanman (不能调整) 你可以通过IE顶部菜单中的&quot;察看-文字大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRVa1z.html" rel="bookmark" class="title">亚马逊惠威H2S迷你桌面音箱</a>
					<div>
						惠威H2S是一款造型小巧时尚的桌面迷你音箱产品,性价比非常高,这款音箱是前作H2的升级版,最大的特点在于其体积缩小了很多.这款音箱的表面采用了磨砂加钢琴烤漆工艺处理,做工细致,看起来简约时尚.目前这款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWKPop.html" rel="bookmark" class="title">Stunnix Advanced Web Server for CD-ROMs 5&period;6发布</a>
					<div>
						Stunnix http://www.aliyun.com/zixun/aggregation/3415.html&quot;&gt;Advanced Web Server for CD-ROMs是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPYQOp.html" rel="bookmark" class="title">SK电讯物联网战略剑走偏锋 已建成全国性LoRa和LTE-M网络</a>
					<div>
						现在,全球移动运营商们都在忙于布局物联网.在这其中,韩国电信巨头SK电讯(SKTelecom)在低功耗广域覆盖(LPWA)物联网战略方面选择了剑走偏锋,该运营商并未选择近来颇受业界关注的NB-IoT技 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
